[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FindNext

Find the next entry in a findhandle.

## Declaration

Source position: filutilh.inc line 186

`function FindNext(`
`var Rslt: TUnicodeSearchRec`
`):LongInt; function FindNext(`
`var Rslt: TRawbyteSearchRec`
`):LongInt;`

## Description

FindNext finds a next occurrence of a search sequence initiated by FindFirst. If another record matching the criteria in Rslt is found, 0 is returned, a nonzero constant is returned otherwise.

Remark: | The last FindNext call must always be followed by a FindClose call with the same Rslt record. Failure to do so will result in memory loss.

For an example, see FindFirst

## Errors

On error (no more file is found), a nonzero constant is returned.

## See also

FindFirst |  | Start a file search and return a findhandle
FindClose |  | Close a find handle